Last job execution date for a project
curl --request GET \
--url https://api.mentionlab.io/api/v1/projects/{id}/last-execution-date \
--header 'x-project-id: <x-project-id>'import requests
url = "https://api.mentionlab.io/api/v1/projects/{id}/last-execution-date"
headers = {"x-project-id": "<x-project-id>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-project-id': '<x-project-id>'}};
fetch('https://api.mentionlab.io/api/v1/projects/{id}/last-execution-date', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lastExecutionDate": "2026-04-30T12:00:00.000Z"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}Projects
Last job execution date for a project
Returns the date of the project’s most recent job execution as a data-freshness indicator, or null if it has never run a job.
GET
/
api
/
v1
/
projects
/
{id}
/
last-execution-date
Last job execution date for a project
Headers
Project ID to specify the project context
Path Parameters
Unique identifier (UUID) of the project to read the last execution date for. Must match the x-project-id header.
Response
The date of the last job execution for this project, or null if no executions exist.
Example:
"2026-04-30T12:00:00.000Z"